apiVersion: v1
items:
- apiVersion: kubevirt.io/v1
  kind: VirtualMachine
  metadata:
    annotations:
      kubemacpool.io/transaction-timestamp: "2024-05-06T11:49:24.027499221Z"
      kubevirt.io/latest-observed-api-version: v1
      kubevirt.io/storage-observed-api-version: v1
    creationTimestamp: "2024-05-06T11:49:23Z"
    finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
    generation: 3
    labels:
      created-by-dynamic-class-creator: "Yes"
    name: rhel-vm-with-windows-11-1714996163-5850706
    namespace: instance-types-test-common-vm-preference
    resourceVersion: "4673393"
    uid: d927abcb-e2d7-4871-892d-0d3e8455264d
  spec:
    preference:
      kind: VirtualMachineClusterPreference
      name: windows.11
      revisionName: rhel-vm-with-windows-11-1714996163-5850706-windows.11-7bde6e0a-656a-45e1-9ca2-504ced278232-1
    running: true
    template:
      metadata:
        creationTimestamp: null
        labels:
          kubevirt.io/domain: rhel-vm-with-windows-11-1714996163-5850706
          kubevirt.io/vm: rhel-vm-with-windows-11-1714996163-5850706
      spec:
        architecture: amd64
        domain:
          cpu:
            sockets: 2
          devices:
            disks:
            - disk:
                bus: virtio
              name: containerdisk
            - disk:
                bus: virtio
              name: cloudinitdisk
            rng: {}
          machine:
            type: pc-q35-rhel9.2.0
          resources:
            requests:
              memory: 1536Mi
        volumes:
        - containerDisk:
            image: registry.redhat.io/rhel9/rhel-guest-image
          name: containerdisk
        - cloudInitNoCloud:
            userData: |-
              #cloud-config
              chpasswd:
                expire: false
              password: password
              user: fedora
              ssh_pwauth: true

              ssh_authorized_keys:
               [ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCj47ubVnxR16JU7ZfDli3N5QVBAwJBRh2xMryyjk5dtfugo5JIPGB2cyXTqEDdzuRmI+Vkb/A5duJyBRlA+9RndGGmhhMnj8and3wu5/cEb7DkF6ZJ25QV4LQx3K/i57LStUHXRTvruHOZ2nCuVXWqi7wSvz5YcvEv7O8pNF5uGmqHlShBdxQxcjurXACZ1YY0YDJDr3AJai1KF9zehVJODuSbrnOYpThVWGjFuFAnNxbtuZ8EOSougN2aYTf2qr/KFGDHtewIkzZmP6cjzKO5bN3pVbXxmb2Gces/BYHntY4MXBTUqwsmsCRC5SAz14bEP/vsLtrNhjq9vCS+BjMT root@exec1.rdocloud]
              runcmd: ['grep ssh-rsa /etc/crypto-policies/back-ends/opensshserver.config || sudo update-crypto-policies --set LEGACY || true', "sudo sed -i 's/^#\\?PasswordAuthentication no/PasswordAuthentication yes/g' /etc/ssh/sshd_config", 'sudo systemctl enable sshd', 'sudo systemctl restart sshd']
          name: cloudinitdisk
  status:
    conditions:
    - lastProbeTime: null
      lastTransitionTime: null
      status: "True"
      type: Initialized
    - lastProbeTime: "2024-05-06T11:49:24Z"
      lastTransitionTime: "2024-05-06T11:49:24Z"
      message: virt-launcher pod has not yet been scheduled
      reason: PodNotExists
      status: "False"
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: "2024-05-06T11:49:24Z"
      message: backend VM storage requires a backend storage class defined in the
        custom resource
      reason: FailedBackendStorageCreate
      status: "False"
      type: Synchronized
    created: true
    desiredGeneration: 3
    observedGeneration: 3
    printableStatus: Starting
    volumeSnapshotStatuses:
    - enabled: false
      name: containerdisk
      reason: Snapshot is not supported for this volumeSource type [containerdisk]
    - enabled: false
      name: cloudinitdisk
      reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]
kind: List
metadata:
  resourceVersion: ""
